System.Gadget.onSettingsClosing = settingsClosing;

function onLoad()
{
  skin.value = System.Gadget.Settings.readString("skin");
  colorGraph.value = System.Gadget.Settings.readString("colorGraph");
  colorGraphBack.value = System.Gadget.Settings.readString("colorGraphBack");
  colorText.value = System.Gadget.Settings.readString("colorText"); 
  colorAlert.value = System.Gadget.Settings.readString("colorAlert"); 
  var drvs = System.Gadget.Settings.readString("drives");
  if (drvs.length == 0) drvs = "C";
  var length = drvs.length;
  for (var i = 0, j = 0; i < 26; i++)
  {
    var str = String.fromCharCode(65 + i);
    var opt = document.createElement("option");
    opt.value = str;
    opt.text = str + ":";
    if ((j < length) && (drvs.charAt(j) == str))
    { 
      opt.selected = true;
      j++; 
    }
    drives.options.add(opt);
  }
}

function settingsClosing(event) 
{
  if (event.closeAction == event.Action.commit) 
    saveSettings();
  event.cancel = false;
}

function saveSettings()
{
  System.Gadget.Settings.writeString("skin", skin.value);
  System.Gadget.Settings.writeString("colorGraph", colorGraph.value);
  System.Gadget.Settings.writeString("colorGraphBack", colorGraphBack.value);
  System.Gadget.Settings.writeString("colorText", colorText.value);
  System.Gadget.Settings.writeString("colorAlert", colorAlert.value);
  var drvs = "";
  var length = drives.options.length;
  for(var i = 0; i < length; i++)
  {
    var opt = drives.options[i];
    if (opt.selected) drvs += opt.value;
  }
  System.Gadget.Settings.writeString("drives", drvs);
}

function skinChange()
{
  switch(skin.value)
  {
    case "silver":
      colorGraph.value="FFFFFF";
      colorGraphBack.value="A9A9A9";
      colorText.value="000000";
      colorAlert.value="B22222";
      break;
    case "blue":
      colorGraph.value="C4E1FF";
      colorGraphBack.value="3399FF";
      colorText.value="FFFFFF";
      colorAlert.value="B22222";
      break;
    case "gray":
      colorGraph.value="00FF00";
      colorGraphBack.value="008B00";
      colorText.value="87CEFF";
      colorAlert.value="B22222";
      break;
  }
}